# NicProperties

## Properties

\| **device\_number** | **Integer** | The Logical Unit Number (LUN) of the storage volume. Null if this NIC was created using Cloud API and no DCD changes were performed on the Datacenter. | \[optional]\[readonly] |

\| **dhcp** | **Boolean** | Indicates if the NIC will reserve an IP using DHCP. | \[optional]\[default to true] |

\| **firewall\_active** | **Boolean** | Activate or deactivate the firewall. By default, an active firewall without any defined rules will block all incoming network traffic except for the firewall rules that explicitly allows certain protocols, IP addresses and ports. | \[optional] |

\| **firewall\_type** | **String** | The type of firewall rules that will be allowed on the NIC. If not specified, the default INGRESS value is used. | \[optional] |

\| **ips** | **Array\<String>** | Collection of IP addresses, assigned to the NIC. Explicitly assigned public IPs need to come from reserved IP blocks. Passing value null or empty array will assign an IP address automatically. | \[optional] |

\| **lan** | **Integer** | The LAN ID the NIC will be on. If the LAN ID does not exist, it will be implicitly created. | |

\| **mac** | **String** | The MAC address of the NIC. | \[optional]\[readonly] |

\| **name** | **String** | The name of the resource. | \[optional] |

\| **pci\_slot** | **Integer** | The PCI slot number for the NIC. | \[optional]\[readonly] |

## Example

```ruby
require 'ionoscloud'


instance = Ionoscloud::NicProperties.new(
  device_number: 3,

  dhcp: true,

  firewall_active: false,

  firewall_type: INGRESS,

  ips: null,

  lan: 2,

  mac: 00:0a:95:9d:68:16,

  name: My resource,

  pci_slot: 7,
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/ruby-sdk/models/nicproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
